<?php
if (!defined('ABSPATH')) exit;

add_action('wp', function () {
    $options = get_option('vw_options', []);

    // Ocultar carrito (opcional para otras configuraciones)
    if (!empty($options['ocultar_carrito'])) {
        add_filter('woocommerce_is_purchasable', '__return_false');
    }

    // Ocultar checkout
    if (!empty($options['ocultar_checkout'])) {
        // Redirigir si alguien intenta ir al checkout
        add_action('template_redirect', function () {
            if (is_checkout() && !is_cart()) {
                wp_redirect(wc_get_cart_url());
                exit;
            }
        });

        // Eliminar botón "Finalizar compra" del carrito
        add_action('woocommerce_proceed_to_checkout', function () {
            echo '<style>.checkout-button { display: none !important; }</style>';
        });
    }

    // Ocultar precios
    if (!empty($options['ocultar_precios'])) {
        add_filter('woocommerce_get_price_html', '__return_empty_string');
    }

    // Ocultar botones de compra
    if (!empty($options['ocultar_boton_compra'])) {
        remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10);
        remove_action('woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30);
    }
});
