<?php
if (!defined('ABSPATH')) exit;

// Registrar configuraciones
add_action('admin_init', function () {
    register_setting('vw_settings_group', 'vw_options');

    add_settings_section(
        'vw_settings_section',
        'Configura qué elementos ocultar',
        null,
        'visibilidad-woocommerce'
    );

    $options = [
        'ocultar_carrito' => 'Ocultar carrito de compra',
        'ocultar_checkout' => 'Ocultar checkout',
        'ocultar_precios' => 'Ocultar precios',
        'ocultar_boton_compra' => 'Ocultar botones de compra/agregar al carrito'
    ];

    foreach ($options as $key => $label) {
        add_settings_field(
            $key,
            $label,
            function ($args) {
                $options = get_option('vw_options');
                $checked = isset($options[$args['id']]) ? 'checked' : '';
                echo "<input type='checkbox' id='{$args['id']}' name='vw_options[{$args['id']}]' value='1' $checked>";
            },
            'visibilidad-woocommerce',
            'vw_settings_section',
            ['id' => $key]
        );
    }
});
